%{?nodejs_find_provides_and_requires}
%global enable_tests 0

Name:       nodejs-date-tokens
Version:    0.0.2
Release:    3%{?dist}
Summary:    Convenient date formatting for templates
License:    MIT 
URL:        https://github.com/jprichardson/node-date-tokens
Source:     https://github.com/jprichardson/node-date-tokens/archive/v%{version}.tar.gz

BuildArch:  noarch
BuildRequires: nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
%endif

%description
Date tokens offers convenient ways to use date functions

%prep
%setup -q -n node-date-tokens-%{version}
find . -type f -name '.gitkeep' -exec rm {} \;

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/nodejs-date-tokens
cp -rp package.json lib/ %{buildroot}%{nodejs_sitelib}/nodejs-date-tokens

%check
%if 0%{?enable_tests}
mocha test
%endif

%files
%doc LICENSE README.md test/
%{nodejs_sitelib}/nodejs-date-tokens


%changelog
* Fri Feb 27 2015 Anish Patil <apatil@redhat.com> - 0.0.2-3
- Incorporated package review comments

* Thu Feb 26 2015 Anish Patil <apatil@redhat.com> - 0.0.2-2
- Incorporated package review comments

* Tue Feb 3 2015 Anish Patil <apatil@redhat.com> - 0.0.2-1
- Initial package
